Description

Hi, v.sample fails when creating temp table of sampling points. 

It seemed to wrok in processing version of december (didn't track the version). 

Here are the log file usefull parts:

Algorithm v.sample - Samples a raster layer at vector point locations. starting...

g.proj -c proj4="+proj=lcc +lat_1=49 +lat_2=44 +lat_0=46.5 +lon_0=3 +x_0=700000 +y_0=6600000 +ellps=GRS80

+towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 

v.in.ogr min_area=0.0001 snap=-1 dsn="V:/temp_user" layer=stq output=tmp1390228164746 --overwrite -o

r.external

input="Z:/Fonds_Thematiques/Donnees_Environnement/durete_eau_interpolation_2013/durete_eau_interpolation_2013.tif"

band=1 output=tmp1390228164747 --overwrite -o -r

g.region n=6591625.10761 s=6136625.10761 e=814633.914554 w=286633.914554 res=1000.0

v.sample input=tmp1390228164746 column="classe_dur" raster=tmp1390228164747 z="1"

output=output502abf2c9cc74dd29525d0cd58be0a33 --overwrite

v.out.ogr -s -c -e -z input=output502abf2c9cc74dd29525d0cd58be0a33

dsn="V:\\temp\\processing\\007c486d2161423e919eaa214d24ca56" format=ESRI_Shapefile olayer=output type=point

C:\\OSGeo4W64\\bin>set GRASS_VERSION=6.4.0 

GRASS_INFO_MESSAGE(8180,3): Layer: stq 

GRASS_INFO_END(8180,3) 

DBMI-DBF driver error: 

SQL parser error: syntax error, unexpected PRECISION, expecting NAME processing 'precision' 

in statement: 

create table tmp1390228164746 (cat integer, numero varchar ( 254 ), type varchar ( 254 ), code_sandr varchar ( 17 ),

code_onema varchar ( 17 ), libelle varchar ( 254 ), etat varchar ( 254 ), date_servi date, date_hs date, mo_numero varchar ( 254

), mo_raison_ varchar ( 81 ), insee_comm varchar ( 254 ), nom_commun varchar ( 50 ), x double precision, y double precision,

geolocalis varchar ( 254 ), code_zone_ varchar ( 254 ), code_cours varchar ( 254 ), code_masdo varchar ( 24 ), code_bv_ma

varchar ( 24 ), complement varchar ( 80 ), milieu_lib varchar ( 40 ), source_lib varchar ( 100 ), precision varchar ( 100 ), finalite

varchar ( 40 ), precision_ varchar ( 100 ), typologie_ varchar ( 16 ), representa varchar ( 24 ), represen_1 varchar ( 24 ),

classe_dur varchar ( 40 ), contexte_p varchar ( 40 ), pauvre_oxy varchar ( 254 ), riche_mo varchar ( 254 ), naturellem varchar (

254 ), zone_tourb varchar ( 254 ), temp_natur varchar ( 254 ), risque_ass varchar ( 254 ), risque_lac varchar ( 254 ), influence_

varchar ( 254 ), reseaux varchar ( 254 ), ouv_fonc_i varchar ( 21 ), oid integer) 

Error in db_execute_immediate() 
regards, 

Régis

History

#1 - 2014-01-20 08:12 AM - Regis Haubourg

Well, I tested in grass plugin, and same error. Processing is not to be blamed though..  

Not sure I must move to grass plugin tracker  or  to OSGEO4W tracker..

#2 - 2014-01-20 08:15 AM - Regis Haubourg

Error occurs in GRASS native GUI... May be a OSGEO4W trouble?

#3 - 2014-01-20 08:20 AM - Regis Haubourg

- Status changed from Open to Closed

cleaning unnecessary fields does the trick. Closing the issue, this is totally a grass's one.

#4 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
